Page MenuHomePhabricator

moving gadgets around multiple times crashes E
Closed, ResolvedPublic

Description

Moving bryce gadgets around multiple times in quick succession (more than once per second) will blow up the gadgets to full screen size and finally crash E.

tg-- created this task.Jan 17 2018, 4:26 PM

Can you describe your exact usage?

"blow up to full screen size" can i reproduce with moving/resizing on desktop. the gadget is flickering
and ends in a crash. this happens with desktop gadgets

not while moving gadget in "gadget bars" (bryce) neither while moving in the same bar or to other bar(s)

https://www.enlightenment.org/ss/display.php?image=e-5a60f7d19e5e34.34108492.png

I created a start gadget on the desktop and started alt+clicking rapidly to move it and there is no unusual behavior?

zmike added a comment.Jan 18 2018, 1:30 PM

I pushed some fixes for http://dpaste.com/1TPJ4JE, please test with clock and start gadgets.

Hi mike.

i updated efl and e and tested it with analog clock and start.
with both -> segv after i while :(

https://youtu.be/OHFW2GiVKgg

simon

zmike moved this task from Backlog to In WIP on the enlightenment-git board.Jan 22 2018, 8:21 AM

I've pushed a commit to the wip branch which seems to resolve this behavior.

tested, and for me it is fixed :)
no segv, no resizes.

Thanks a lot

greetings Simon

tg-- added a comment.Feb 6 2018, 12:47 PM

Just for completeness' sake: The issue is fixed for me as well.
Thanks!